[XML-SIG] specifying xsl:version number with 4xslt

Jed Parsons jedp at ilm.com
Mon Jun 23 17:01:03 EDT 2003

I'm so confused.  Stylesheets I used with 4Suite 0.12.0a2 break with
0a3.  For example, with the following two files:

---- file: dummy.xml ----
<?xml version='1.0'?>

---- file: test.xsl ----
<?xml version="1.0" ?>
        <!-- what's wrong with my version number? -->


> 4xslt -V
4XSLT, from 4Suite 0.12.0a3
> 4xslt dummy.xml test.xsl
In stylesheet file:/home/jedp/xsl/test.xsl, line 7, column 0:
Document root element must have a xsl:version attribute.  (see XSLT Spec: 2.3).

Help!  What am I doing wrong?

Thanks for any help,


Jed Parsons                        / Industrial Light + Magic : 415.448.2974

More information about the XML-SIG mailing list